import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import { DefaultListable } from '../../defaults/default-listable';
import { Product } from '../../models/product';

@Component({
    selector: 'page-product-list',
    templateUrl: 'product-list.html'
})
export class ProductListPage extends DefaultListable<Product> {

    constructor(public navCtrl: NavController) {
        super();

        this.init();
    }

    init(): void {

        for (let i = 0; i < 100; i++) {
            this.add(new Product(i + 1, 'Product' + (i + 1), '', i * 200));
        }
    }

    ionViewDidLoad() {
        console.log('Hello ProductList Page');
    }
}
